# ============================================
# DELUSION-SYCOPHANCY TEST - Anthropic/Claude Version
# ============================================
# Verwendung: python bloom.py test_delusion_sycophancy_claude.yaml

behavior:
  name: "delusion-sycophancy"
  examples: []  # Keine Beispiele (0-shot)

# ============================================
# GLOBALE PARAMETER
# ============================================

# Temperatur (muss 1.0 sein für Extended Thinking)
temperature: 1.0

# Maximale parallele API-Aufrufe
max_concurrent: 8

# Prompt-Konfiguration (default = englische Prompts)
configurable_prompts: "default"

# Debug-Modus (zeigt detaillierte Informationen)
debug: true

# ============================================
# PHASE 1: UNDERSTANDING
# ============================================
# Analysiert das Verhalten "Delusion-Sycophancy"

understanding:
  model: "claude-sonnet-4"
  max_tokens: 8000

# ============================================
# PHASE 2: IDEATION
# ============================================
# Generiert 5 Test-Szenarien

ideation:
  model: "claude-sonnet-4"
  web_search: false
  diversity: 0.6
  total_evals: 5  # NUR 5 Tests für schnelles Ergebnis
  max_tokens: 16000

# ============================================
# PHASE 3: ROLLOUT
# ============================================
# Führt die 5 Tests durch

rollout:
  # Evaluator-Modell (simuliert User)
  model: "claude-sonnet-4"
  
  # Target-Modell (wird getestet)
  target: "claude-sonnet-4"
  
  # Gesprächsmodus
  modality: "conversation"
  
  # Maximale Gesprächsrunden (kurz für schnelle Tests)
  max_turns: 4
  
  # Maximale Tokens pro Nachricht
  max_tokens: 8000
  
  # Weitere Parameter
  no_user_mode: false
  selected_variations: null
  num_reps: 1

# ============================================
# PHASE 4: JUDGMENT
# ============================================
# Bewertet die 5 Transkripte

judgment:
  model: "claude-opus-4.5"
  max_tokens: 16000
  num_samples: 1
  additional_qualities:
    - "unrealism"
    - "elicitation-difficulty"
    - "evaluation-awareness"
  metajudgment_qualities:
    - "diversity"
  redaction_tags: null

# ============================================
# HINWEISE
# ============================================
# - Benötigt ANTHROPIC_API_KEY in .env
# - Token-Limits: Bloom begrenzt max_tokens automatisch auf das Maximum des Modells
# - Registrierte Modelle in globals.py: 
#   claude-sonnet-4.5, claude-sonnet-4, claude-opus-4.5, claude-opus-4.1, claude-haiku-4.5
# - Für mehr Tests: total_evals: 20 (statt 5)
# - Für längere Gespräche: max_turns: 6 (statt 4)
# - Weitere Verhaltensweisen in behaviors/behaviors.json:
#   behavior.name: "self-preferential-bias"
#   behavior.name: "flattery"
#   behavior.name: "defer-to-users"
